<?xml version="1.0" encoding="ISO-8859-1"?>
<?xml-stylesheet type="text/xsl" href="helma.xsl"?>
<xmlroot xmlns:hop="http://www.helma.org/docs/guide/features/database">
  <hopobject id="807" name="FETCH" prototype="Page" created="1254233872383" lastModified="1395720164647">
  <hop:parent idref="20" prototyperef="Page"/>
    <is_xhtml type="boolean">true</is_xhtml>
    <http_remotehost>127.0.0.1</http_remotehost>
    <pname>FETCH - FPGA enabled tool control host</pname>
    <registrant>akshat-gupta.myopenid.com</registrant>
    <http_language>en-US,en;q=0.9</http_language>
    <uri>FETCH</uri>
    <http_browser>Opera/9.80 (X11; Linux i686; U; en) Presto/2.2.15 Version/10.00</http_browser>
    <time type="date">08.11.2009 04:15:55 CST</time>
    <updatetime type="date">29.09.2009 09:17:52 CDT</updatetime>
    <hopsession>127.0.0.122.163.222.1quh6u23zv5bn</hopsession>
    <body>
 Phase 1
 &lt;br/&gt;
 ------------
 &lt;br/&gt;
 &lt;ol&gt;
  &lt;li&gt;Server capability&lt;/li&gt;
  &lt;ul&gt;
   &lt;li&gt;all services (except VNC) to be launched through inetd so that they are started on an on-demand basis.&lt;/li&gt;
   &lt;li&gt;http server for configuration pages&lt;/li&gt;
   &lt;li&gt;ssh server (the ssh suite in particular including scp etc.. so that an ftp server can be avoided) for remote login and management.&lt;/li&gt;
   &lt;li&gt;bootp server for bootstaping machines on my home network.&lt;/li&gt;
   &lt;li&gt;VNC for GUI sessions  :)&lt;/li&gt;
   &lt;li&gt;CUPS for network printing&lt;/li&gt;
   &lt;li&gt;NetHack server :D&lt;/li&gt;
  &lt;/ul&gt;
  &lt;li&gt;Tool control&lt;/li&gt;
  &lt;ul&gt;
   &lt;li&gt;The term &quot;tool control&quot; here refers to automation of connected tools and Phase 1 of the project will demonstrate this by automation in home (eg. computer, printer, scanner on/off --&gt; the contoller board with the relays is complete :) , these devices may be contolled over the internet or PSTN network ) The system will also be hooked to the home electrical network that will enable control over home appliances. A special mode called &quot; Home Alone&quot; will switch on/off lights randomly when no one is at home to give the illusion that the house is occupied ( and hence protect from thefts ). The current relay boards developed use a UART (for RS232 protocol) for control of the equipment but it is planned to use the CAN interface so that longer distances can be covered.&lt;/li&gt;
  &lt;/ul&gt;
  &lt;li&gt;The BeagleBoard will act as a host interfacefor a Nexys2 Xilinx FPGA board and will be used to evaluate the IPs deployed on it. This feature is sort of a tester for the FPGA.&lt;/li&gt;
 &lt;/ol&gt;
 &lt;br/&gt;
 Phase 2 ( only after Phase 1 is completely functional :) )
 &lt;br/&gt;
 -----------
 &lt;ol&gt;
  &lt;li&gt;mgetty (for faxes) and asterisk may be added to the server.&lt;/li&gt;
  &lt;li&gt;CAN interface for the controller nodes replacing the RS232 connections&lt;/li&gt;
 &lt;/ol&gt;
</body>
    <pseudoparent idref="20" prototyperef="Page"/>
    <rssfeed></rssfeed>
    <pvcount type="float">1.0</pvcount>
    <homepage>http://code.google.com/p/fetch/</homepage>
    <render_skin>project</render_skin>
    <edit_skin>edit_project</edit_skin>
    <http_referer>http://beagleboard.org/project/FETCH/edit</http_referer>
    <http_host>beagleboard.org</http_host>
    <errmsg></errmsg>
    <shortdesc>A host with a web interface for easy configuration and control of connected tools. The device may also be controlled through a PSTN network using DTMF tones. The BeagleBoard will act as the main server and will also be the host interface for the connected FPGA for the purpose of evaluating the IPs developed on the FPGA.</shortdesc>
    <user>akshat-gupta.myopenid.com</user>
  </hopobject>
</xmlroot>
